Page 1 of 3 123 LastLast
Results 1 to 10 of 22

Thread: "Your GStreamer installation is missing a plug-in"

  1. #1
    Join Date
    May 2010
    Beans
    37

    "Your GStreamer installation is missing a plug-in"

    After upgrading to 11.10, whenever I try to play .m4a files in Exaile there's a "playback error" and my "gstreamer installation is missing a plug-in." When I try to play the same files in Movie Player it asks if I'd like to search for a suitable 'MPEG-4 AAC demuxer" plugin. When i click yes it says I need to refresh the repository, and when I do so, there's a message saying the internet connection has failed and that there are no suitable plugins. I can play my .ogg files just fine, and the same .m4a files worked in the previous distribution. Are there any packages i need that might have been removed when I upgraded? I have all the gstreamer plugins I can find.

  2. #2
    Join Date
    Apr 2009
    Location
    Aotearoha
    Beans
    2,661
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: "Your GStreamer installation is missing a plug-in"

    Do you have the gstreamer base, good, bad & the ugly plugins ?

    I have a suspicion that there are multiverse versions (extra file suffix) with extra stuff. Can't check right now..

    Can't recall if it helps but the "restricted extras" medibuntu script may expose more complete gstreamer plug-ins.
    Last edited by BicyclerBoy; October 19th, 2011 at 12:37 AM.

  3. #3
    Join Date
    May 2010
    Beans
    37

    Re: "Your GStreamer installation is missing a plug-in"

    I happened to notice that last night while I was frantically downloading everything gstreamer related... When I search gstreamer good, for example, in Synaptic I get the following packages. I have all the packages but the ones with plus signs in front of them.

    -gstreamer0.10-plugins-bad
    +gstreamer0.10-plugins-bad-doc
    -gstreamer0.10-plugins-bad-multiverse
    -gstreamer0.10-plugins-good
    -gstreamer0.10-plugins-good-dbg
    +gstreamer0.10-plugins-good-doc
    -gstreamer0.10-plugins-ugly
    +gstreamer0.10-plugins-ugly-doc
    +phonon-backend-gstreamer
    -pulse audio

    Gstreamer bad:
    -gstreamer0.10-plugins-bad
    +gstreamer0.10-plugins-bad-dbg
    +gstreamer0.10-plugins-bad-doc
    -gstreamer0.10-plugins-bad-multiverse
    -gstreamer0.10-plugins-bad-multiverse-dbg

    Gstreamer ugly:
    -gstreamer0.10-plugins-ugly
    +gstreamer0.10-plugins-ugly-dbg
    +gstreamer0.10-plugins-ugly-doc

  4. #4
    Join Date
    Dec 2004
    Location
    Atlanta, GA USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: "Your GStreamer installation is missing a plug-in"

    I always enable the Medibuntu and Partner repos, then
    Code:
    sudo apt-get install non-free-codecs libdvdcss2
    I'm a serious multimedia junkie, and have no problems playing anything. By doing that and installing vlc, you should be able to play it all.

  5. #5
    Join Date
    May 2010
    Beans
    37

    Re: "Your GStreamer installation is missing a plug-in"

    My files play in VLC (I didn't even think to check that) but still no Exaile or Movie Player.

    When I type that into the terminal the output is "E: Unable to locate package non-free-codecs." When I omit the non-free-codecs part it says I already have the latest version. About those partner repos though.. after the upgrade I was notified that alot of things were being taken off my sources list, does that have anything to do with anything?

  6. #6
    Join Date
    Apr 2009
    Location
    Aotearoha
    Beans
    2,661
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: "Your GStreamer installation is missing a plug-in"

    Ubuntu upgrades always disables any 3rd party ppa including medibuntu..

    You don't need the -dbg or the -doc

    There is a gstreamer ugly multiverse
    gstreamer0.10-plugins-ugly-multiverse

    I have to admit that totem movie player will play from my MythTV DLNA server but there is no audio for LATM-AAC recordings only ones with AC3.
    MythTV plays fine of course..

    I managed to find a AV test track with mpeg4 AAC 5.1 audio ..plays okay (11.04).
    Last edited by BicyclerBoy; October 19th, 2011 at 06:22 AM.

  7. #7
    Join Date
    May 2010
    Beans
    37

    Re: "Your GStreamer installation is missing a plug-in"

    After the upgrade I enabled everything that had been disabled. There's no ugly-multiverse in synaptic, nor can I get it through the terminal with apt-get. It's handled by gstreamer0.10-plugins-ugly according to the terminal.

  8. #8
    Join Date
    Apr 2009
    Location
    Aotearoha
    Beans
    2,661
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: "Your GStreamer installation is missing a plug-in"

    There is in *buntu 11.04...

    but according to gstreamer website the AAC decoder is 'faad' & is part of gstreamer-bad package.

    Try playing with :
    gst-launch filesrc location=example.mp4 ! qtdemux ! faad ! audioconvert ! audioresample ! autoaudiosink


    I don't have a 11.10 test system or bootable CD/DVD so can't really help.

    The restricted extras webpage suugests re-running the medibuntu script after every upgrade.

  9. #9
    Join Date
    Sep 2009
    Beans
    2,330

    Re: "Your GStreamer installation is missing a plug-in"

    do you have winff and or ffmpeg

  10. #10
    Join Date
    May 2010
    Beans
    37

    Re: "Your GStreamer installation is missing a plug-in"

    I re-ran the medibuntu script, I messed around with that code, and I made sure both winff and ffmpeg were installed all to no avail. I've stumbled upon a program called Insanity that says it'll test a whole bunch of GStreamer related things, but I'm not sure what to do with the sqlite db files it outputs.

Page 1 of 3 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •